D4Science Infrastructure - Support #8322

Issues (R Studio )
May 03, 2017 12:45 PM - TAHA IMZILEN

Status: Closed Start date: May 11, 2017
Priority: High Due date:

Assignee: Lucio Lelii % Done: 100%
Category: Estimated time: 0.00 hour
Infrastructure: Production

Description

Dear Gianpaolo,
Something is going wrong with Rstudio since yesterday afternoon.

On RprototypingLab, | can not open R studio.l get this message 'Successfully logged out from Rstudio' and The tab closes after a
few seconds .

and on RStudiolLab, We get memory allocation errors when we run scripts
can you help us please ... ?

Thank you
Taha

Subtasks:
Support # 8489: Issues memory (R Studio ) Closed

History

#1 - May 03, 2017 01:27 PM - Gianpaolo Coro

- Assignee changed from Gianpaolo Coro to Lucio Lelii

#2 - May 03, 2017 02:35 PM - Lucio Lelii

The problem with RpototipingLab VRE was due to an error with the LDAP authentication and it is solved now.

About the memory allocation problem | don't know what is happening because nothing changed on that node, Did the same script work in the past ?

#3 - May 03, 2017 03:01 PM - Andrea Dell'Amico

I just killed a lot of old stale sessions that used most of the available memory. Can you try again?
#4 - May 03, 2017 03:07 PM - Julien Barde
How can we know when such a situation happens and can we get the list of old sessions and kill them ?

A single compilation of the knitr document is very demanding for memory and as we work together we split the resources of the RStudio instance with
different persons (and multiple sessions per person | guess).

#5 - May 03, 2017 03:19 PM - Massimiliano Assante
- Project changed from 8 to D4Science Infrastructure
- Target version changed from RStudio elastic management to UnSprintable

- Infrastructure Production added

#6 - May 03, 2017 03:24 PM - Andrea Dell'Amico
- Status changed from New to Feedback

- % Done changed from 0 to 100

Julien Barde wrote:

How can we know when such a situation happens and can we get the list of old sessions and kill them ?
A single compilation of the knitr document is very demanding for memory and as we work together we split the resources of the RStudio instance
with different persons (and multiple sessions per person | guess).

| don't think that rstudio gives such a possibility. We are thinking about a way to automatically kill old, stale sessions, or at least to report them.

#7 - May 03, 2017 03:25 PM - TAHA IMZILEN
- % Done changed from 100 to 0

Hi all,
We no longer have any memory allocation problems. the script works well as before.
Thank you

#8 - May 03, 2017 03:46 PM - Lucio Lelii
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
